Browse files

Skip test if mongo pecl extension is < 1.3.0

  • Loading branch information...
1 parent adf94c7 commit 51805f86a3e9d194dfd33fdc0f5aa14a13fd5552 @jwage jwage committed Jan 13, 2013
Showing with 7 additions and 0 deletions.
  1. +7 −0 tests/Doctrine/MongoDB/Tests/Util/ReadPreferenceTest.php
View
7 tests/Doctrine/MongoDB/Tests/Util/ReadPreferenceTest.php
@@ -6,6 +6,13 @@
class ReadPreferenceTest extends \PHPUnit_Framework_TestCase
{
+ protected function setUp()
+ {
+ if (version_compare(phpversion('mongo'), '1.3.0', '<')) {
+ $this->markTestSkipped('Requires PHP mongo version 1.3.0');
+ }
+ }
+
/**
* @expectedException InvalidArgumentException
*/

0 comments on commit 51805f8

Please sign in to comment.